%define major		13
%define libname		%mklibname zdb %{major}
%define develname	%mklibname zdb -d

Name:		libzdb
Version:	3.2.2
Release:	%mkrel 1
Summary:	Small, easy to use Database Connection Pool Library
License:	GPLv3+ and MIT
Group:		System/Libraries
URL:		http://www.tildeslash.com/libzdb/
Source0:	http://www.tildeslash.com/%{name}/dist/%{name}-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	mariadb-devel
BuildRequires:	postgresql-devel >= 9.5
BuildRequires:	pkgconfig(sqlite3) >= 3.6.12

%description
The Zild C Database Library implements a small, fast, and easy to use database
API with thread-safe connection pooling. The library can connect transparently
to multiple database systems, has zero configuration and connections are
specified via a standard URL scheme.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
The Zild C Database Library implements a small, fast, and easy to use database
API with thread-safe connection pooling. The library can connect transparently
to multiple database systems, has zero configuration and connections are
specified via a standard URL scheme.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	zdb-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

# Errant file
rm -f doc/api-docs/._*

%build
%configure \
	--disable-static \
	--enable-protected \
	--enable-openssl \
	--enable-sqliteunlock
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS CHANGES README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc doc/api-docs
%{_includedir}/zdb/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/zdb.pc


%changelog
* Fri Apr 10 2020 daviddavid <daviddavid> 3.2.2-1.mga8
+ Revision: 1566072
- new version: 3.2.2
- now libmajor is 13

* Thu Mar 19 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1557921
- new version: 3.2.1

* Sat Feb 15 2020 umeabot <umeabot> 3.2-2.mga8
+ Revision: 1525247
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Apr 07 2019 daviddavid <daviddavid> 3.2-1.mga7
+ Revision: 1386535
- new version: 3.2
- now libmajor is 12

* Sun Sep 23 2018 umeabot <umeabot> 3.1-4.mga7
+ Revision: 1299292
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 wally <wally> 3.1-3.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sat Dec 23 2017 daviddavid <daviddavid> 3.1-2.mga7
+ Revision: 1184164
- rebuild for new mariadb

* Mon May 09 2016 daviddavid <daviddavid> 3.1-1.mga6
+ Revision: 1011638
- initial package libzdb

